- Test --numa_node 0 case
- damo show features implementation
  - collapse by time
  - Implement min/max snapshot format keyword
- damo reclaim: add a command for basic investigation
  - helps ensure DAMON_RECLAIM is working as expected
  - helps reporting issue
- Handle _damon_sysfs file i/o error for unsupported kernel features and
  conflicts with concurrent ones
- Optimize 'replay' performance
  - An approach for 2 MiB-granularity page management didn't show improvement
  - Optionally use C program like 'masim'
- Let 'replay' further parse vmas and alloc/release memory
- Unify wss and footprints report types
- Fixup 'damo show' on schemes_tried_regions unsupported kernels
  - Either make the warning clear, or support it using trace points
  - (https://github.com/awslabs/damo/issues/101)
- 'diagnose' command
  - check if nr_regions in bound
  - check if DAMOS quota is in control
- 'damo monitor'
  - add option to add snapshot as (optional) alternate of heatmap
- Show temperature histogram on holistic report
- heatmap: Support interactive zoom in/out/scrolling
- Implement single report formatter
  - Extend 'report access' format arguments for wss, memfootprint, etc
- Provide virtual memory mapping information
  - shows when what virtual address has mappend and unmapped
- Implement an official feature to check if 'damo' supports the system
  - 'damo diagnose --kernel_support'?  Or, 'damo report damon --kernel_support'?
- Automatically translate single allow filter to reject filter
  - Pending.  Just warning might be sufficient.
- Show intervals auto-tuning status on 'report access'
  - If the tuning is activated, show positive sample rate and current tuned intervals
- Update tuned intervals when getting snapshot, for only intervals auto-tuning
  enabled contexts
- Warn or error recording when intervals auto-tuning enabled.
  - Disabling auto-tuning is another option.
- damo report access: allow appending formats
  e.g., damo report access --format_snapshot_tail_append '<access observation ratio>'
- damo report access: show '<access observation ratio>' by default if
  auto-tuning ongoing
- do not update monitoring intervals when doing snapshot
  - reverting auto-tuned intervals, so make it not well working...

- Deprecate old features
  - Deprecate 'damo report raw'
    - notified as will-be-removed by 2025-03-09
  - Deprecate 'damo status'
    - notified as will-be-removed by 2025-02-26
  - Deprecate 'damo show'
    - notified as will-be-deprecated by 2025-02-26
  - Deprecate heats report type in favor of heatmap report type
    - notified as will-be-deprecated by 2025-02-26
  - Deprecate translate_damos (done.)
  - Deprecate single line per-scheme (done.  code moved to _damon_deprecated)
  - Deprecate v1-v3 schemes (done.  necessary code moved to _damon_deprecated)
  - Deprecate python2 support (done.  code moved to _damon_deprecated)
  - Deprecate scheme subcommand
    - Can be replaced by start or tune
  - Deprecate old scheme usages in tests
  - Deprecate DAMON results record binary format (done.  code moved to
    _damon_deprecated)
